/*Telerik RadGrid Default Skin*/

/*global*/

.RadGrid_MyGridSkin
{
    border:0px solid #828282;
    background: #fff;
    color:#333;
}
.RadGrid_RolesBySecurableSiteMapList
{
    border:0px solid #828282;
    background: #fff;
    color:#333;
    width:100%;
}

.RadGrid_MyGridSkin table, .rgDataDiv {
	background:transparent;
	border:0px;
}

/*div.RadGrid, div[id$="InputSearch"] ~ div[id$="divResult"] div[id$="panResult"] {border:1px solid #d6d6d6;font-family: Arial, Verdana, Helvetica;}*/ /*targets grid in Assign Rooms popup and Select popups, div[id$="InputSearch"] ~ div[id$="divResult"] div[id$="panResult"] targets grid in older popups*/

table.RadSplitter div.RadGrid { border: none; } /*targets grid in view only - the border is removed in this case because a border is already applied on a parent element*/

.RadGrid_MyGridSkin,
.RadGrid_MyGridSkin .rgMasterTable,
.RadGrid_MyGridSkin .rgDetailTable,
.RadGrid_MyGridSkin .rgGroupPanel table,
.RadGrid_MyGridSkin .rgCommandRow table,
.RadGrid_MyGridSkin .rgEditForm table,
.RadGrid_MyGridSkin .rgPager table,
.GridToolTip_MyGridSkin
{
    /*font:12px/16px "segoe ui",arial,sans-serif;
	removed jng */
}

table.RadGrid_MyGridSkin .rgAdd,
table.RadGrid_MyGridSkin .rgRefresh,
table.RadGrid_MyGridSkin .rgEdit,
table.RadGrid_MyGridSkin .rgDel,
table.RadGrid_MyGridSkin .rgFilter,
table.RadGrid_MyGridSkin .rgPagePrev,
table.RadGrid_MyGridSkin .rgPageNext,
table.RadGrid_MyGridSkin .rgPageFirst,
table.RadGrid_MyGridSkin .rgPageLast,
table.RadGrid_MyGridSkin .rgExpand,
table.RadGrid_MyGridSkin .rgCollapse,
div.RadGrid_MyGridSkin .rgExpand,
div.RadGrid_MyGridSkin .rgCollapse,
table.RadGrid_MyGridSkin .rgSortAsc,
table.RadGrid_MyGridSkin .rgSortDesc,
table.RadGrid_MyGridSkin .rgUpdate,
table.RadGrid_MyGridSkin .rgCancel,
table.RadGrid_MyGridSkin .rgUngroup,
table.RadGrid_MyGridSkin .rgExpXLS,
table.RadGrid_MyGridSkin .rgExpDOC,
table.RadGrid_MyGridSkin .rgExpPDF,
table.RadGrid_MyGridSkin .rgExpCSV
{
	background-image:url('Grid/sprite.gif');
	border:none;
}

/*header*/
.RadGrid div.rgHeaderWrapper { background: #fafafa; }

/*.RadGrid_MyGridSkin .rgHeaderDiv
{
	background:#eee 0 -7550px repeat-x url('Grid/sprite.gif');
}*/
.rgTwoLines .rgHeaderDiv
{
	background-position:0 -7050px;
}

.RadGrid_MyGridSkin .rgHeader,
.RadGrid_MyGridSkin th.rgResizeCol
{
    border:1px solid;
	border-color:#f6f9fb #fff #c2cedb #e1eaf3;
	border-top-width:0;
	/*background:#eaeaea 0 -2300px repeat-x url('Grid/sprite.gif');*/
    background:transparent;
}

.RadGrid_MyGridSkin th.rgSorted
{
	background-color:#c4c4c4;
	background-position:0 -2600px;
}

.RadGrid_MyGridSkin .rgHeader,
.RadGrid_MyGridSkin .rgHeader a
{
    font-weight:normal;
    color:#333;
}

/*rows*/

.RadGrid_MyGridSkin .rgRow td,
.RadGrid_MyGridSkin .rgAltRow td,
.RadGrid_MyGridSkin .rgEditRow td,
.RadGrid_MyGridSkin .rgFooter td
{
	border-style:solid;
	border-width: 0 0 0 1px;
    border-top:1px solid transparent !important;
    border-bottom:1px solid transparent !important;
}

/*TFS#10899*/
.RadGrid_MyGridSkin .rgRow.hoverEffect td,
.RadGrid_MyGridSkin .rgAltRow.hoverEffect td { 
    background-color: rgb(250, 250, 250); color:#000;    
    border-top:1px solid #ddd !important;
    border-bottom:1px solid #ddd !important;}

/*for rows with color coding defined, the background color for the cell is translucent, so that the color coding background for the row shows through on hover*/
.RadGrid_MyGridSkin .rgRow.hoverEffect[style*="background-color"] td,
.RadGrid_MyGridSkin .rgAltRow.hoverEffect[style*="background-color"] td { 
    background-color: rgba(245, 245, 245, 0.6); color:#000;   
    border-top:1px solid #ddd !important;
    border-bottom:1px solid #ddd !important;}
/*end TFS#10899*/

table.RadGrid_MyGridSkin .rgRow td
{
	/*border-color:#fff #fff #fff #ededed;*/
}

/*updated background color for grouped grid, included hover effect class here (from fminteract.css) so that the background declaration for rgAltRow doesn't override hoverEffect */
table.RadGrid_MyGridSkin .rgAltRow
{
	background:inherit;
	background-color: #F2F2F2;
}
table.RadGrid_MyGridSkin .rgAltRow.hoverEffect
{
	background:#eee;
}

table.RadGrid_MyGridSkin .rgAltRow td
{
	border-color:#fff #fff #fff #ededed;
}
div.RadGrid_MyGridSkin.fmi-grid-alternating .rgAltRow td { background-color: #f7f7f7; background-color: rgba(240,240,240,.5); }

.RadGrid_MyGridSkin .rgSelectedRow .rgSorted,
.RadGrid_MyGridSkin .rgActiveRow .rgSorted,
.RadGrid_MyGridSkin .rgHoveredRow .rgSorted,
.RadGrid_MyGridSkin .rgEditRow .rgSorted
{
	background-color:transparent;
}

/*********************************/
   
.RadGrid_MyGridSkin .rgRow > td > a,
.RadGrid_MyGridSkin .rgAltRow > td > a { 
    width: auto !important; padding:.1em 5px .15em;
}
.RadGrid_MyGridSkin .rgRow > td > input[type="submit"], 
.RadGrid_MyGridSkin .rgAltRow > td > input[type="submit"] {
    box-sizing: border-box;
    font-size: 0.97em; height: 1.7em; padding:.05em 5px .15em; 
}

/*styles included in styles.css for grid links are intended to make actions display as buttons, such as Edit or Delete. 
However, there are cases where a link should display as a link. 
The following styles target any link which opens a new window (via target="_blank" or onclick="window.open...").
In these cases, the links will not display as buttons, but instead inherit the table row color 
(which can vary due to color coding) and display with an underline.*/
.RadGrid_MyGridSkin .rgRow > td > a[target="_blank"], .RadGrid_MyGridSkin .rgAltRow > td > a[target="_blank"],
.RadGrid_MyGridSkin .rgRow > td > a[onclick^="window.open"], .RadGrid_MyGridSkin .rgAltRow > td > a[onclick^="window.open"] {
	background:transparent; color:inherit !important; border:none; text-decoration :underline; padding:0; margin:0;	
}
.RadGrid_MyGridSkin .rgRow > td > a[target="_blank"]:hover, .RadGrid_MyGridSkin .rgAltRow > td > a[target="_blank"]:hover,
.RadGrid_MyGridSkin .rgRow > td > a[onclick^="window.open"]:hover, .RadGrid_MyGridSkin .rgAltRow > td > a[onclick^="window.open"]:hover {
	background:transparent; color:#003391 !important; border:none; text-decoration :underline; padding:0;margin:0;
}

/* end of styles for Buttons and Links in the grid*/
/*********************************/


.RadGrid_MyGridSkin .rgAltRow.rgSelectedRow > td,
.RadGrid_MyGridSkin .rgRow.rgSelectedRow > td
{
    background-color: #cce3ff !important; color:#000;
}
/* this style, when enabled will allow the color coding background color to show through on the first table cell in the row
.RadGrid_MyGridSkin .rgAltRow.rgSelectedRow td:first-child,
.RadGrid_MyGridSkin .rgRow.rgSelectedRow td:first-child
{
	background:transparent;
}
*/

/*updated jng*/
*+html .RadGrid_MyGridSkin .rgSelectedRow .rgSorted{}
* html .RadGrid_MyGridSkin .rgSelectedRow .rgSorted{}

.RadGrid_MyGridSkin .rgSelectedRow a
{
	color:#005bb6;
}

.RadGrid_MyGridSkin .rgActiveRow,
.RadGrid_MyGridSkin .rgHoveredRow
{
    background:#c5c5c5 0 -2900px repeat-x url('Grid/sprite.gif');
    color:#333;
}
*+html .RadGrid_MyGridSkin .rgActiveRow .rgSorted,
*+html .RadGrid_MyGridSkin .rgHoveredRow .rgSorted{}
* html .RadGrid_MyGridSkin .rgActiveRow .rgSorted,
* html .RadGrid_MyGridSkin .rgHoveredRow .rgSorted{}

.RadGrid_MyGridSkin .rgEditRow
{
	background:#fff 0 -4900px repeat-x url('Grid/sprite.gif');
	color:#333;
}
*+html .RadGrid_MyGridSkin .rgEditRow .rgSorted{}
* html .RadGrid_MyGridSkin .rgEditRow .rgSorted{}

.RadGrid_MyGridSkin .rgActiveRow td,
.RadGrid_MyGridSkin .rgActiveRow td.rgSorted { background-color: #fff; border-top:1px dotted #999 !important; border-bottom:1px dotted #999 !important; }

.RadGrid_MyGridSkin .rgHoveredRow td,
.RadGrid_MyGridSkin .rgHoveredRow td.rgSorted
{
    background-color: #cce3ff;
	border-bottom-color:#9e9e9e;
}

.RadGrid_MyGridSkin .rgRow.rgSelectedRow td,
.RadGrid_MyGridSkin .rgAltRow.rgSelectedRow td.rgSorted
{
    background-color: #cce3ff;
}

.RadGrid_MyGridSkin .rgDrag
{
	background-image:url('Grid/rgDrag.gif');
}

/*footer*/

.RadGrid_MyGridSkin .rgFooterDiv,
.RadGrid_MyGridSkin .rgFooter
{
	background:#f4f4f4;
}

.RadGrid_MyGridSkin .rgFooter td
{
	border-top: 1px solid #CCCCCC;
    border-bottom: 1px solid #AAAAAA;
    border-left: none;
    border-right: none;
}

/*status*/

.RadGrid_MyGridSkin .rgPager .rgStatus
{
	border:1px solid;
	border-color:#828282 #c9c9c9 #eee #c9c9c9;
	border-left-width:0;
}

.RadGrid_MyGridSkin .rgStatus div
{
	background-image:url('Grid/loading_small.gif');
}

/*pager*/

.RadGrid_MyGridSkin .rgPager
{
    font-weight:normal;
	background:#f4f4f4;
}
.RadGrid_MyGridSkin .rgPager td { border-top: 1px solid #e3e3e3; }

.RadGrid_MyGridSkin .rgPager td > div { height: auto !important; min-height:30px; }
.RadGrid_MyGridSkin .rgPager td > div > div { line-height: normal; margin: 4px 10px 0px 10px !important; }
.RadGrid_MyGridSkin .rgPager .RadInput, .RadGrid_MyGridSkin .rgPager .RadComboBox { margin: 0 !important; padding:0 !important; }
.RadGrid_MyGridSkin .rgPager .RadInput, .RadGrid_MyGridSkin .rgPager .RadComboBox, .RadGrid_MyGridSkin .rgPager input[type="submit"], .RadGrid_MyGridSkin .rgPager input[type="button"] { position: relative; top: -2px; }
.RadGrid_MyGridSkin .rgPager .riTextBox { height: auto !important; padding:1px !important; }
.RadGrid_MyGridSkin .rgPager span { vertical-align: top !important; }
#gridPagerNumber { margin-top: 0px !important;margin-bottom: 0px !important; }
.RadGrid_MyGridSkin #gridPagerNumber input[type="submit"], .RadGrid_MyGridSkin #gridPagerNumber input[type="button"], #gridPagerNumber > div { top:0; margin: 4px 2px !important;}

table.RadGrid_MyGridSkin td.rgPagerCell
{
	border:1px solid;
	border-color:#d6d6d6 #eee #eee;
	border-right-width:0;
	background:#eee;
}

/*pager end*/

.RadGrid_MyGridSkin .rgInfoPart
{
	color:#8a8a8a;
}

.RadGrid_MyGridSkin .rgInfoPart strong
{
	color:#4c4e54;
}

.RadGrid_MyGridSkin .rgPageFirst
{
	background-position:0 -550px;
}
.RadGrid_MyGridSkin .rgPageFirst:hover
{
	background-position:0 -600px;
}
.RadGrid_MyGridSkin .rgPagePrev
{
	background-position:0 -700px;
}
.RadGrid_MyGridSkin .rgPagePrev:hover
{
	background-position:0 -750px;
}
.RadGrid_MyGridSkin .rgPageNext
{
	background-position:0 -850px;
}
.RadGrid_MyGridSkin .rgPageNext:hover
{
	background-position:0 -900px;
}
.RadGrid_MyGridSkin .rgPageLast
{
	background-position:0 -1000px;
}
.RadGrid_MyGridSkin .rgPageLast:hover
{
	background-position:0 -1050px;
}

.RadGrid_MyGridSkin .rgPager .rgPagerButton
{
	border-color:#d0d0d0 #aeaeae #8b8b8b;
	background:#e8e8e8 repeat-x 0 -1550px url('Grid/sprite.gif');
	color:#000;
	/*font-family:"segoe ui",arial,sans-serif;  removed jng*/
}
.RadGrid.RadGrid_MyGridSkin .rgNumPart a span { padding: 0; }
.RadGrid.RadGrid_MyGridSkin .rgNumPart a,
.RadGrid_MyGridSkin .rgNumPart a:hover,
.RadGrid_MyGridSkin .rgNumPart a.rgCurrentPage
{
    font-weight:normal; border:1px solid transparent; color:#000; line-height:normal; padding: 1px 5px; min-height:18px;
}

.RadGrid_MyGridSkin .rgNumPart a:hover
{
    font-weight:normal; color:#002d40;
	background-color: #eaf6fd;
    border-color: #88b1d3;
}

.RadGrid_MyGridSkin .rgNumPart a.rgCurrentPage,
.RadGrid_MyGridSkin .rgNumPart a.rgCurrentPage:hover
{
    font-weight:normal;
	border-color: #d9d9d9 #d9d9d9 #c3c3c3;
    background-color:#fdfdfd;
}


/*sorting, reordering*/

.RadGrid_MyGridSkin .rgHeader .rgSortAsc {
    background-image: url("Grid/sprite.gif");
    background-position: 3px -248px;
    height: 10px;
}

.RadGrid_MyGridSkin .rgHeader .rgSortDesc {
    background-image: url("Grid/sprite.gif");
    background-position: 3px -198px;
    height: 10px;
}

.GridReorderTop_MyGridSkin,
.GridReorderBottom_MyGridSkin
{
	background:0 0 no-repeat url('Grid/sprite.gif');
}

.GridReorderBottom_MyGridSkin
{
	background-position:0 -50px;
}

/*filtering*/

.RadGrid_MyGridSkin .rgFilterRow {background:transparent;}
/* TFS#10175 */
.RadGrid.RadGrid_MyGridSkin .rgFilterRow td {border-bottom:1px solid #828282; padding:2px 33px 2px 7px;}

/*.RadGrid_MyGridSkin .rgFilter
{
	background-image:url('Grid/sprite.gif');
	background-position:0 -300px;
}

.RadGrid_MyGridSkin input[type="submit"].rgFilter:hover
{
	background-image:url('Grid/sprite.gif');
    background-position:0 -350px; border:none;
}*/

/*.RadGrid_MyGridSkin .rgFilterActive,
.RadGrid_MyGridSkin input[type="submit"].rgFilterActive:hover
{
	background-position:0 -400px; border:none;
}*/
.RadGrid.RadGrid_MyGridSkin .rgFilterBox, .RadGrid_MyGridSkin span.riSingle.RadInput.RadInput_MyGridSkin input.riTextBox  {
    border-style: solid;
    border-width: 1px;
    font-size: inherit;
    height: auto;
    margin: 0;
    padding: 2px 1px;
    vertical-align: middle;
}
.RadGrid.RadGrid_MyGridSkin .rgFilterBox {width:100% !important; margin-right:2px;}
.RadGrid_MyGridSkin span.riSingle.RadInput.RadInput_MyGridSkin { width:100% !important; }
/* end TFS#10718 */
/* TFS#10753 */
.RadGrid .rgFilter {
    height: 22px;
    margin: 0 0 0 2px;
    width: 22px;
}


/*filter context menu*/

.RadMenu_MyGridSkin .rgHCMClear,
.RadMenu_MyGridSkin .rgHCMFilter
{
	border-color:#d0d0d0 #a8a8a8 #8b8b8b;
	background:#e8e8e8 center -23px repeat-x url('Grid/ButtonSprites.gif');
	color:#000;
	/*font-family:"segoe ui",arial,sans-serif; removed jng*/
}

.RadMenu_MyGridSkin .rgHCMClear:hover,
.RadMenu_MyGridSkin .rgHCMFilter:hover
{
	border-color:#d1d1d1 #b9b9b9 #a3a3a3;
	background-position:center -67px;
	background-color:#e5e5e5;
}

/*context menu*/

.GridContextMenu_MyGridSkin .rmLeftImage
{
	background-image:url('Grid/contextMenu.gif');
}

.GridContextMenu_MyGridSkin .rgHCMSortAsc .rmLeftImage
{
	background-position:0 0;
}

.GridContextMenu_MyGridSkin .rgHCMSortDesc .rmLeftImage
{
	background-position:0 -40px;
}

.GridContextMenu_MyGridSkin .rgHCMUnsort .rmLeftImage
{
	background-position:0 -80px;
}

.GridContextMenu_MyGridSkin .rgHCMGroup .rmLeftImage
{
	background-position:0 -120px;
}

.GridContextMenu_MyGridSkin .rgHCMUngroup .rmLeftImage
{
	background-position:0 -160px;
}

.GridContextMenu_MyGridSkin .rgHCMCols .rmLeftImage
{
	background-position:0 -200px;
}

.GridContextMenu_MyGridSkin .rgHCMFilter .rmLeftImage
{
	background-position:0 -240px;
}

.GridContextMenu_MyGridSkin .rgHCMUnfilter .rmLeftImage
{
	background-position:0 -280px;
}

/*grouping*/

.RadGrid_MyGridSkin .rgGroupPanel
{
	border:0;
	border-bottom:1px solid #828282;
	background:#eee 0 -1900px repeat-x url('Grid/sprite.gif');
}

.RadGrid_MyGridSkin .rgGroupPanel td
{
	border:0;
	padding:3px 4px;
}

.RadGrid_MyGridSkin .rgGroupPanel td td
{
	padding:0;
}

.RadGrid_MyGridSkin .rgGroupPanel .rgSortAsc
{
	background-position:4px -144px;
}

.RadGrid_MyGridSkin .rgGroupPanel .rgSortDesc
{
	background-position:4px -94px;
}

.RadGrid_MyGridSkin .rgUngroup
{
	background-position:0 -6998px;
}

.RadGrid_MyGridSkin .rgGroupItem
{
	border:1px solid;
	border-color:#c4c4c4 #c4c4c4 #9e9e9e;
	background:#c6c6c6 0 -6500px repeat-x url('Grid/sprite.gif');
}

table.RadGrid_MyGridSkin .rgMasterTable td.rgGroupCol,
table.RadGrid_MyGridSkin .rgMasterTable td.rgExpandCol
{
	border-color:#f8f8f8;
	background:#f8f8f8 none;
}
/*JNG2 - included styles for grouped grid*/
table.RadGrid_MyGridSkin tr.rgGroupItem td.rgGroupCol
{
	border-bottom: 1px solid #F8F8F8;
    border-top: 1px solid #f4f4f4;
	background:#f8f8f8;
	padding:0 0 0 7px;
}

table.RadGrid_MyGridSkin tr.rgRow td.rgGroupCol
{
	border:#f8f8f8;
	background:#f8f8f8;
}

/*JNG2 - included second selector*/
.RadGrid_MyGridSkin .rgGroupHeader, table.RadGrid_MyGridSkin .rgGroupHeader
{
    background:#f8f8f8;
    line-height:21px;
	color:#333;
	font-size:1em;
}

table.RadGrid_MyGridSkin .rgGroupHeader td
{
	border-top:1px solid #f4f4f4;
	border-bottom:1px solid #f8f8f8;
}

table.RadGrid_MyGridSkin .rgGroupHeader td p
{
    margin:0;
    padding:0;
}

table.RadGrid_MyGridSkin .rgGroupHeader td.rgGroupCol
{
	border-top-color:#f4f4f4;
}

table.RadGrid_MyGridSkin .rgExpand, div.RadGrid_MyGridSkin .rgExpand
{
	background-position:5px -496px;
}

table.RadGrid_MyGridSkin .rgCollapse, div.RadGrid_MyGridSkin .rgCollapse
{
	background-position:3px -444px;
}

/*JNG2 - updating image file used for expand/collapse*/
table.RadGrid_MyGridSkin input.rgExpand
{
	background:transparent url('Grid/expand.png') no-repeat center 2px;
}

table.RadGrid_MyGridSkin input.rgCollapse
{
	background:transparent url('Grid/collapse.png') no-repeat center 2px;
}

/*editing*/

.RadGrid_MyGridSkin .rgEditForm
{
	border-bottom:1px solid #e1e1e1;
}

.RadGrid_MyGridSkin .rgUpdate
{
	background-position:0 -1800px;
}

.RadGrid_MyGridSkin .rgCancel
{
	background-position:0 -1850px;
}

/*hierarchy*/

.RadGrid_MyGridSkin .rgDetailTable
{
	border-color:#eee;
}

/*command row*/

.RadGrid_MyGridSkin .rgCommandRow
{
	background:#c5c5c5 0 -2099px repeat-x url('Grid/sprite.gif');
	color:#000;
}

.RadGrid_MyGridSkin .rgCommandCell
{
	border:1px solid;
	border-color:#999 #f2f2f2;
	border-top-width:0;
	padding:0;
}

.RadGrid_MyGridSkin tfoot .rgCommandCell,
.RadGrid_MyGridSkin .rgMasterTable>tbody>tr.rgCommandRow .rgCommandCell
{
	border-top-width:1px;
	border-bottom-width:0;
}

.RadGrid_MyGridSkin .rgCommandTable td
{
	border:0;
	padding:2px 7px;
}

.RadGrid_MyGridSkin .rgCommandTable
{
	border:0;
	border-top:1px solid #fdfdfd;
	border-bottom:1px solid #e7e7e7;
}

.RadGrid_MyGridSkin .rgCommandRow a
{
	color:#000;
	text-decoration:none;
}

.RadGrid_MyGridSkin .rgAdd
{
	margin-right:3px;
	background-position:0 -1650px;
}

.RadGrid_MyGridSkin .rgRefresh
{
	margin-right:3px;
	background-position:0 -1600px;
}

.RadGrid_MyGridSkin .rgEdit
{
	background-position:0 -1700px;
}

.RadGrid_MyGridSkin .rgDel
{
	background-position:0 -1750px;
}

.RadGrid_MyGridSkin .rgSelected .rgDel
{
	background-position:0 -1775px;
}

.RadGrid_MyGridSkin .rgExpXLS,
.RadGrid_MyGridSkin .rgExpDOC,
.RadGrid_MyGridSkin .rgExpPDF,
.RadGrid_MyGridSkin .rgExpCSV
{
	background-image:url('Grid/export.gif');
}

.RadGrid_MyGridSkin .rgExpXLS
{
	background-position:0 0;
}
.RadGrid_MyGridSkin .rgExpDOC
{
	background-position:0 -50px;
}
.RadGrid_MyGridSkin .rgExpPDF
{
	background-position:0 -100px;
}
.RadGrid_MyGridSkin .rgExpCSV
{
	background-position:0 -150px;
}

/*multirow select*/

.GridRowSelector_MyGridSkin
{
	
}

/*row drag n drop*/

.GridItemDropIndicator_MyGridSkin
{
    border-top:1px dashed #666;
}

/*tooltip*/

.GridToolTip_MyGridSkin
{
	border:1px solid #828282;
	padding:3px;
	background:#fff;
	color:#333;
}

/************************************************************************************/
/*Fix UI for Telerik RadGrid latest version*/
div.RadGrid_MyGridSkin .rgHeader,
div.RadGrid_MyGridSkin th.rgResizeCol,
div.RadGrid_MyGridSkin .rgRow td,
div.RadGrid_MyGridSkin .rgAltRow td,
div.RadGrid_MyGridSkin .rgEditRow td
{
    border-left-width:1px;
    border-color: #f6f9fb;
}

.NumberPageGo {
    float: left;
    margin-right: 5px;
}

/************************************************************************************/
/*Updates for specific pages*/
/*Role List*/
table#ctl00_contentPlaceHolderMain_RoleList1_gvRoleList_ctl00 tr td { vertical-align: top; }
.RadGrid_MyGridSkin .rgRow > td > a[id$="lbtnRole"], .RadGrid_MyGridSkin .rgAltRow > td > a[id$="lbtnRole"],
.RadGrid_MyGridSkin .rgRow > td > a[id$="lnkSelectRoom"],
.RadGrid_MyGridSkin .rgAltRow > td > a[id$="lnkSelectRoom"] 
{
    font-weight:normal;
	color:#0057ad;
    background:none; border:none; margin:0; padding:0;
}
.RadGrid_MyGridSkin .rgRow > td > a[id$="lbtnRole"]:hover, .RadGrid_MyGridSkin .rgAltRow > td > a[id$="lbtnRole"]:hover ,
.RadGrid_MyGridSkin .rgRow > td > a[id$="lnkSelectRoom"]:hover,
.RadGrid_MyGridSkin .rgAltRow > td > a[id$="lnkSelectRoom"]:hover
{
    font-weight:normal;
	color:#0057ad;
    background:none; border:none; margin:0; padding:0; text-decoration:underline;
}
input[id$="txtRanking"] { width: 3em !important; margin: 0 3px 2px -4px;}

input[id$="btnUpdateRanking"]:hover { padding:1px 3px !important; margin-left:-4px !important; }
input[id$="btnUpdateRanking"], input[id$="btnUpdateRanking"][disabled]:hover { padding:1px 3px !important; margin-left:-4px !important; }

/*grid in Import Configuration page*/
table.RadGrid_MyGridSkin[id$="gvImport"] { border:1px solid #d6d6d6; }
table.RadGrid_MyGridSkin[id$="gvImport"] tr { border: none !important; }
table.RadGrid_MyGridSkin[id$="gvImport"] tr:hover { background: #F0F0F0 !important; }
table.RadGrid_MyGridSkin[id$="gvImport"] th, table.RadGrid_MyGridSkin[id$="gvImport"] td { border:none; border-left:1px solid #F6F9FB; padding:4px 7px 3px; vertical-align:top; text-align:left;}
table.RadGrid_MyGridSkin[id$="gvImport"] th:first-child, table.RadGrid_MyGridSkin[id$="gvImport"] td:first-child { border-left: none; }
table.RadGrid_MyGridSkin[id$="gvImport"] th {background: #EAEAEA; }
table.RadGrid_MyGridSkin[id$="gvImport"] th a, table.RadGrid_MyGridSkin[id$="gvImport"] th a:hover {color: #333; text-decoration:none; }

/*grid in non-standard Select dialogs*/

.fmi-grid-results { border: none !important; }
.fmi-grid-results tr { border: none !important; }
.fmi-grid-results tr:hover {background:#F0F0F0 !important; cursor:pointer}
.fmi-grid-results tr[style*="red"], .fmi-grid-results tr[style*="red"]:hover {background:#CCE3FF !important; cursor:default;}
.fmi-grid-results tr td, 
.fmi-grid-results tr th { border:none !important; border-left: 1px solid #F6F9FB !important; padding:4px 7px 3px; vertical-align:top; text-align:left;}
.fmi-grid-results tr th a, table#ctrlSearchListMax_grdResult tr th a:hover { color: #333; text-decoration:none; }
.fmi-grid-results tr th {background: #EAEAEA; white-space:nowrap;} 

/* these below css cause low performance for render HTML5 viewer */
.fmi-searchdialog-results-tbl {width:100%;}
td.fmi-searchdialog-results-td {padding-top:3px; padding-bottom:3px; text-align:left;}
div[id$="InputSearch"] ~ div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] { border: none !important; }
div[id$="InputSearch"] ~ div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] tr { border: none !important; }
div[id$="InputSearch"] ~ div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] tr:hover {background:#F0F0F0 !important; cursor:pointer}
div[id$="InputSearch"] ~ div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] tr[style*="red"], div[id$="InputSearch"] ~ div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] tr[style*="red"]:hover {background:#CCE3FF !important; cursor:default;}
div[id$="InputSearch"] ~ div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] tr td, 
div[id$="InputSearch"] ~ div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] tr th { border:none !important; border-left: 1px solid #F6F9FB !important; padding:4px 7px 3px; vertical-align:top; text-align:left;}
div[id$="InputSearch"] ~ div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] tr th a, table#ctrlSearchListMax_grdResult tr th a:hover { color: #333; text-decoration:none; }
div[id$="InputSearch"] ~ div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] tr th {background: #EAEAEA; white-space:nowrap;} 
div[id$="InputSearch"] ~ div[id$="divResult"] input[id$="txtSelect"] { width: 250px; }

/*grid in non-standard Select dialogs -- FindBuilding.aspx*/
/* these below css cause low performance for render HTML5 viewer */
div[id$="InputSearch"] ~ div div[id$="divResult"] div#ctrlFindBuilding1_panResult { height: 110px !important; border:1px solid #d6d6d6;} /*default height is 120, which is problematic when the advanced search options display in this dialog */
div[id$="InputSearch"] ~ div div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] { border: none !important; }
div[id$="InputSearch"] ~ div div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] tr { border: none !important; }
div[id$="InputSearch"] ~ div div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] tr:hover {background:#F0F0F0 !important; cursor:pointer}
div[id$="InputSearch"] ~ div div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] tr[style*="red"], div[id$="InputSearch"] ~ div div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] tr[style*="red"]:hover {background:#CCE3FF !important; cursor:default;}
div[id$="InputSearch"] ~ div div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] tr td, 
div[id$="InputSearch"] ~ div div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] tr th { border:none !important; border-left: 1px solid #F6F9FB !important; padding:4px 7px 3px; vertical-align:top; text-align:left;}
div[id$="InputSearch"] ~ div div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] tr th a, table#ctrlSearchListMax_grdResult tr th a:hover { color: #333; text-decoration:none; }
div[id$="InputSearch"] ~ div div[id$="divResult"] div[id$="panResult"] table[id$="grdResult"] tr th {background: #EAEAEA; white-space:nowrap;}
div[id$="InputSearch"] ~ div div[id$="divResult"] input[id$="txtSelect"] { width: 250px; }


/*grid in dialog: New Move Request > Employee to Move > dialog that lists currently occupied rooms */
form[action^="Room4Assignment"] center > table { border-spacing: 0; }
form[action^="Room4Assignment"] div#panel1 { border: none !important; border-bottom:1px solid #ccc !important; padding: 5px 0 !important; height:285px !important; width:100% !important; overflow:hidden !important;}
form[action^="Room4Assignment"] div#panel1 > div {border:1px solid #d6d6d6; max-height:240px; overflow:auto;}
form[action^="Room4Assignment"] div#panel1 div table { border: none !important; }
form[action^="Room4Assignment"] div#panel1 div table tr { border: none; }
form[action^="Room4Assignment"] div#panel1 div table tr:hover { background: #f0f0f0; }
form[action^="Room4Assignment"] div#panel1 div table tr td, form[action^="Room4Assignment"] div#panel1 div table tr th { border:none !important; border-left: 1px solid #F6F9FB !important; padding:4px 7px 3px; vertical-align:top; text-align:left;}
form[action^="Room4Assignment"] div#panel1 div table tr th {background: #EAEAEA; font-weight:normal; color:#333;}
form[action^="Room4Assignment"] div#panel1 div table tr td a[id$="lnkSelectField"] { margin: -2px 0 -1px; }

/*grid in dialog: Move Status Check > Add > dialog that lists currently occupied rooms */
form[action^="RoomSelection"] div#panel1 { border: none !important; border-bottom:1px solid #ccc !important; padding: 5px 0 !important; height:240px !important; width:100% !important; overflow:hidden !important;}
form[action^="RoomSelection"] div#panel1 > div {border:1px solid #d6d6d6; max-height:245px; overflow:auto;}
form[action^="RoomSelection"] div#panel1 div table { border: none !important; }
form[action^="RoomSelection"] div#panel1 div table tr { border: none; }
form[action^="RoomSelection"] div#panel1 div table tr:hover { background: #f0f0f0; }
form[action^="RoomSelection"] div#panel1 div table tr td, form[action^="RoomSelection"] div#panel1 div table tr th { border:none !important; border-left: 1px solid #F6F9FB !important; padding:4px 7px 3px; vertical-align:top; text-align:left;}
form[action^="RoomSelection"] div#panel1 div table tr th {background: #EAEAEA; font-weight:normal; color:#333;}
form[action^="RoomSelection"] div#panel1 div table tr td a[id$="lnkSelectField"] { margin: -2px 0 -1px; }

/*grid in dialog: Move Status Check > Add  */
div#ctrlAddMulScript1_updatePanelAddMul [style*="padding-top"][style*="35px"] { padding-top: 0 !important; }
table#ctrlAddMulScript1_ctrAddMul1_tblMainHeader div#divCommand table td:first-child { text-align: left !important; }
table#ctrlAddMulScript1_ctrAddMul1_tblMainHeader tr:first-child { background: #fafafa; }
table#ctrlAddMulScript1_ctrAddMul1_tblMain, table#ctrlAddMulScript1_ctrAddMul1_tblMainHeader { border: none !important; }
table#ctrlAddMulScript1_ctrAddMul1_tblMain tr, table#ctrlAddMulScript1_ctrAddMul1_tblMainHeader tr { border: none; }
table#ctrlAddMulScript1_ctrAddMul1_tblMainHeader tr + tr { border:none; border-top:1px solid #d6d6d6; }
table#ctrlAddMulScript1_ctrAddMul1_tblMain { border:none !important; border-bottom:1px solid #d6d6d6 !important; }
table#ctrlAddMulScript1_ctrAddMul1_tblMain tr:hover { background: #f0f0f0; }
table#ctrlAddMulScript1_ctrAddMul1_tblMain tr td, table#ctrlAddMulScript1_ctrAddMul1_tblMainHeader tr th { border:none !important; border-left: 1px solid #F6F9FB !important; padding:4px 7px 3px; vertical-align:top; text-align:left;}
table#ctrlAddMulScript1_ctrAddMul1_tblMainHeader tr th {background: #EAEAEA; font-weight:normal; color:#333;}
table#ctrlAddMulScript1_ctrAddMul1_tblMainHeader tr th a { color: #333; }
form[action^="Room4Assignment"] div#panel1 div table tr td a[id$="lnkSelectField"] { margin: -2px 0 -1px; }
table#ctrlAddMulScript1_ctrAddMul1_tblMain td[colspan="7"] { background: #fff9b2; border:1px solid #ffef74 !important;} /*for warning messages that display below the grid*/

/*grid in Manage Tables > View Table Structure*/
div[id$="TableStructure1_panView"] div.RadGrid { border: none; }
div[id$="TableStructure1_panView"] div.RadGrid div.rgHeaderWrapper {border:1px solid #D6D6D6; border-bottom:none;width:100%;}
div[id$="TableStructure1_panView"] div.RadGrid div.rgDataDiv {border:1px solid #D6D6D6; border-top:none;}

/*grid in Floorplan Viewer*/
table#ctl00_contentPlaceHolderMain_ctrlFloorPlanView1_grdFloorPlanView { border: none !important; }
table#ctl00_contentPlaceHolderMain_ctrlFloorPlanView1_grdFloorPlanView th, table#ctl00_contentPlaceHolderMain_ctrlFloorPlanView1_grdFloorPlanView td { border: none; padding: 4px 7px 3px; vertical-align: top; text-align: left; }
table#ctl00_contentPlaceHolderMain_ctrlFloorPlanView1_grdFloorPlanView th { border-bottom: 1px solid #d6d6d6; }
table#ctl00_contentPlaceHolderMain_ctrlFloorPlanView1_grdFloorPlanView tr:hover { background: #f0f0f0; }
table#ctl00_contentPlaceHolderMain_ctrlFloorPlanView1_grdFloorPlanView, table#ctl00_contentPlaceHolderMain_ctrlFloorPlanView1_rblFloorWhilePick { margin-bottom: 10px; }

.fmi-grid-altrow div.RadGrid_MyGridSkin .rgAltRow td { background-color: #f7f7f7; background-color: rgba(240,240,240,.5); }